import 'reflect-metadata'
import {Inject, Service} from "typedi"
import {TPostStatus} from "../types"
import {resultJson} from "../includes"
import {PostModel} from "../models/post-model"

@Service()
export class AdminService {
    @Inject()
    postModel!: PostModel

    async list(status: TPostStatus, page: number) {
        return resultJson.success(await this.postModel.findPostsByStatus(status, page))
    }

    async setStatus(id: number, status: TPostStatus) {
        await this.postModel.setStatusByPostId(id, status)
        return resultJson.success({})
    }
}
